'use strict';

function htmlWebpackInsertPlugin(options) {
    this.options = !!options ? options : {paths: []};
}

htmlWebpackInsertPlugin.prototype.apply = function(compiler) {
    var paths = this.options.paths;
    compiler.plugin('compilation', function(compilation, options) {
        compilation.plugin('html-webpack-plugin-before-html-processing', function(htmlPluginData, callback) {
            for (var i = paths.length - 1; i >= 0; i--) {
                htmlPluginData.assets.js.unshift(paths[i]);
            };
            for (var i = paths.length - 1; i >= 0; i--) {
                htmlPluginData.assets.css.unshift(paths[i]);
            };
            callback(null, htmlPluginData);
        });
    });
};

module.exports = htmlWebpackInsertPlugin;
